ARTSPPINC = -I@artspp@/include
ARTSPPLIB = -L@artspp@/lib -lArts
SNMPPINC  = -I../../snmp++/classes/include
SNMPPPLIB = ../../snmp++/classes/lib/libsnmp++.la
CFDINC    = -I../../classes/include -I../../include -I.
CFDLIB    = ../../classes/lib/libCfd.la
ALLLIBS   = ${CFDLIB} ${ARTSPPLIB} ${SNMPPPLIB} @FLEXLIB@ @LIBS@
ALLINCS   = ${CFDINC} ${ARTSPPINC} ${SNMPPINC}
CXX       = @CXX@
CXXFLAGS  = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: dnswatch

dnswatch: dnswatch.o
	${LIBTOOL} ${CXX} ${CXXFLAGS} dnswatch.o ${ALLLIBS} -o dnswatch \
	 -rpath @artspp@/lib

dnswatch.o: dnswatch.cc
	${CXX} ${CXXFLAGS} -c dnswatch.cc ${ALLINCS}

strip: dnswatch
	@ -if [ -f .libs/dnswatch ]; then \
	  strip .libs/dnswatch ; \
	else \
	  strip dnswatch ; \
	fi

clean::
	rm -f *.o dnswatch
	rm -Rf .libs

install: all
	${LIBTOOL} ../../install-sh -c -m 555 dnswatch @bindir@/dnswatch

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/dnswatch



